View Issue Details

IDProjectCategoryView StatusLast Update
0001278FreeCADBugpublic2013-10-22 06:35
ReportercbuehlerAssigned Towmayer 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Versiontrunk 
Target VersionFixed in Version0.14 
Summary0001278: No build possible with current CMake version 2.8.12
DescriptionSee http://cmake.org/gitweb?p=cmake.git;a=commit;h=9ce60ff509c4ff27fe861fc5b2080f50897a68c4

Fix:

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 862cd7b..11c9b43 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -361,14 +361,14 @@ MARK_AS_ADVANCED(FORCE FREECAD_LIBPACK_CHECKFILE6X FREECAD_LIBPACK_CHECKFILE7X)
     macro(fc_wrap_cpp outfiles )
         # get include dirs
         QT4_GET_MOC_FLAGS(moc_flags)
- QT4_EXTRACT_OPTIONS(moc_files moc_options ${ARGN})
+ QT4_EXTRACT_OPTIONS(moc_files moc_options moc_target ${ARGN})
         # fixes bug 0000585: bug with boost 1.48
         SET(moc_options ${moc_options} -DBOOST_TT_HAS_OPERATOR_HPP_INCLUDED)
 
         foreach(it ${moc_files})
             get_filename_component(it ${it} ABSOLUTE)
             QT4_MAKE_OUTPUT_FILE(${it} moc_ cpp outfile)
- QT4_CREATE_MOC_COMMAND(${it} ${outfile} "${moc_flags}" "${moc_options}")
+ QT4_CREATE_MOC_COMMAND(${it} ${outfile} "${moc_flags}" "${moc_options}" "${moc_target}")
             set(${outfiles} ${${outfiles}} ${outfile})
             add_file_dependencies(${it} ${outfile})
         endforeach(it)
TagsNo tags attached.

Activities

2013-10-21 16:18

 

commit-a836dd1 (Attachment missing)

cbuehler

2013-10-21 16:19

reporter   ~0003779

To make it fully work, I had to replace fc_add_resources with qt4_add_resources (see attachment)

wmayer

2013-10-22 06:35

administrator   ~0003780

git show f061b6f

Issue History

Date Modified Username Field Change
2013-10-16 18:20 cbuehler New Issue
2013-10-21 16:18 cbuehler File Added: commit-a836dd1
2013-10-21 16:19 cbuehler Note Added: 0003779
2013-10-22 06:34 wmayer Status new => assigned
2013-10-22 06:34 wmayer Assigned To => wmayer
2013-10-22 06:35 wmayer Note Added: 0003780
2013-10-22 06:35 wmayer Status assigned => closed
2013-10-22 06:35 wmayer Resolution open => fixed
2013-10-22 06:35 wmayer Fixed in Version => 0.14